/*
 *    Web Oficial Librecan
 *    Archivo: script.js
 *    Autor: Lucio Albenga - https://lucio.albenga.es
 *    Copyright (c) 2025 Lucio F. Albenga liberado bajo licencia AGPL-3.0-only
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Affero General Public License as published by
 *    the Free Software Foundation version 3 of the License.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Affero General Public License for more details.
 *
 *    You should have received a copy of the GNU Affero General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function toggleMenu() {
    document.querySelector('.menu').classList.toggle('active');
}

document.addEventListener("DOMContentLoaded", () => {
    const sections = document.querySelectorAll(".section");
    const menuLinks = document.querySelectorAll(".menu li a");

    function highlightMenu() {
        let scrollY = window.scrollY;
        sections.forEach((section) => {
            const sectionTop = section.offsetTop - 200; // Ajuste por la altura del menú
            const sectionHeight = section.offsetHeight;

            if (scrollY >= sectionTop && scrollY < sectionTop + sectionHeight) {
                let id = section.getAttribute("id");
                menuLinks.forEach((link) => {
                    link.classList.remove("active");
                    if (link.getAttribute("href").includes(id)) {
                        link.classList.add("active");
                    }
                });
            }
        });
    }

    window.addEventListener("scroll", highlightMenu);

    const tagCloud = document.querySelector(".tag-cloud");

    const observer = new IntersectionObserver(entries => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                tagCloud.classList.add("visible");
            }
        });
    });

    observer.observe(tagCloud);
});
